Returns the DateTimeImmutable representation of this UTCDateTime

- « MongoDB\BSON\UTCDateTime::toDateTime

- MongoDB\BSON\UTCDateTime::__toString »

- PHP Manual
- MongoDB\BSON\UTCDateTime
- Returns the DateTimeImmutable representation of this UTCDateTime

# MongoDB\BSON\UTCDateTime::toDateTimeImmutable

(mongodb >=1.20.0)

MongoDB\BSON\UTCDateTime::toDateTimeImmutable — Returns the DateTimeImmutable representation of this UTCDateTime

### Description

final public MongoDB\BSON\UTCDateTime::toDateTimeImmutable(): DateTimeImmutable

### Parameters

This function has no parameters.

### Return Values

Returns the DateTimeImmutable representation of this UTCDateTime. The returned DateTimeImmutable will use the UTC time zone.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\UTCDatetime::toDateTimeImmutable() example

    <?php

    $utcdatetime = new MongoDB\BSON\UTCDateTime(1416445411987);
    $datetime = $utcdatetime->toDateTimeImmutable();
    var_dump($datetime->format('r'));
    var_dump($datetime->format('U.u'));
    var_dump($datetime->getTimezone());

    ?>

The above example will output something similar to:

    string(31) "Thu, 20 Nov 2014 01:03:31 +0000"
    string(17) "1416445411.987000"
    object(DateTimeZone)#3 (2) {
      ["timezone_type"]=>
      int(1)
      ["timezone"]=>
      string(6) "+00:00"
    }

### See Also

- MongoDB\BSON\UTCDateTime::toDateTime() - Returns the DateTime representation of this UTCDateTime
- » BSON Types: Date